Subject: Re: bug#20259: make fails to produce c-by, etc.: Invalid slot type...

From: Ivan Shmakov <[email-masked]>
Date: Sun, 05 Apr 2015 05:15:03 +0000

>>>>> Paul Eggert <[email-masked]> writes:

 >> For a couple of weeks or so now, building Emacs fails for me when
 >> byte-compiling cedet/semantic/bovine/c.el, apparently because the
 >> earlier stages have failed to produce a number of files under
 >> lisp/cedet/semantic/bovine/ (*.by) and …/wisent/ (*.wy).

	To clarify: it fails to produce /.el/ files (from .by and .wy.)

 > What happens if you run "make bootstrap"?

	Just in case, the build procedure I use is (roughly) as follows.
	From what I know, it effectively makes ‘make bootstrap’ a no-op,
	or am I mistaken on that?

#!/bin/bash
set -e -x
mkdir -v -- emacs-$(date -uI)-build
cd emacs-$(date -uI)-build
lndir -- ../emacs-src
autoreconf -v -i -I m4

## Ensure there are no stray .elc files in the build directory.
! grep -q -- . < <(find -name \*.elc)

LC_ALL=C nohup /usr/bin/time make \
    -- lib lib-src src lisp

--
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A